# Visualization
TKV3d
DsgPrs

# DsgPrs_PerpenPresentation Class Reference

A framework to define display of perpendicular
constraints between shapes.
.

`#include <DsgPrs_PerpenPresentation.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)

## Static Public Member Functions

static Standard_EXPORT void | Add (const Handle(Prs3d_Presentation)&aPresentation, const Handle(Prs3d_Drawer)&aDrawer, const gp_Pnt &pAx1, const gp_Pnt &pAx2, const gp_Pnt &pnt1, const gp_Pnt &pnt2, const gp_Pnt &OffsetPoint, const Standard_Boolean intOut1, const Standard_Boolean intOut2)
| Defines the display of elements showing perpendicular constraints between shapes. These include the two axis points pAx1 and pAx2, the two points pnt1 and pnt2, the offset point OffsetPoint and the two Booleans intOut1} and intOut2{. These arguments are added to the presentation object aPresentation. Their display attributes are defined by the attribute manager aDrawer. .

## Member Function Documentation

static Standard_EXPORT void DsgPrs_PerpenPresentation::Add | ( | const Handle(Prs3d_Presentation)& | aPresentation,
|  | const Handle(Prs3d_Drawer)& | aDrawer,
|  | const gp_Pnt & | pAx1,
|  | const gp_Pnt & | pAx2,
|  | const gp_Pnt & | pnt1,
|  | const gp_Pnt & | pnt2,
|  | const gp_Pnt & | OffsetPoint,
|  | const Standard_Boolean | intOut1,
|  | const Standard_Boolean | intOut2
| ) | `[static]`

void DsgPrs_PerpenPresentation::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DsgPrs_PerpenPresentation::operator new | ( | size_t | size | ) | `[inline]`

void* DsgPrs_PerpenPresentation::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

The documentation for this class was generated from the following file:

- DsgPrs_PerpenPresentation.hxx